# Heart rate

A decision block that checks heart rate using available sensor.

If the proceed option is set to Immediately, then check the current heart rate without pausing the fiber. If set to When changed, then the fiber will pause until the heart rate comes within the rate range, or goes out of range.

If both minimum rate and maximum rate is set and doesn’t evaluate to `null` then the rate must be within the range. If only minimum is set, then the rate must be greater than or equal to it. If only maximum is set, then the rate must be less than or equal to it. If neither minimum nor maximum is set, then the current rate is just assigned to the current rate variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum rate — minimum heart rate in bpm.
- Maximum rate — maximum heart rate in bpm.

## Output variables

- Current rate — variable to assign the current heart rate in bpm.